Command reference
deployments channel-binding
Inbound and outbound channel bindings
| Command | Summary |
|---|---|
deployments channel-binding list | List channel bindings |
deployments channel-binding create | Create a channel binding |
deployments channel-binding show | Show a channel binding |
deployments channel-binding update | Update a channel binding |
deployments channel-binding set-credential | Attach or rotate a channel runtime credential and disable the binding until verification |
deployments channel-binding revoke-credential | Revoke a channel runtime credential and disable its binding |
deployments channel-binding archive | Archive a channel binding |
deployments channel-binding verify | Verify a channel binding |
deployments channel-binding deliver | Compose an outbound channel delivery |
deployments channel-binding list
List channel bindings.
deployments channel-binding list- Calls
GET /v1/channel-bindings(SDKlistChannelBindings). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size |
Also accepts the global flags.
deployments channel-binding create
Create a channel binding.
deployments channel-binding create --agent-definition-id <agent-definition-id> --agent-deployment-id <agent-deployment-id> --channel <channel> --provider <provider>- Calls
POST /v1/channel-bindings(SDKcreateChannelBinding). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--agent-definition-id | string | yes | Agent definition ID | |
--agent-deployment-id | string | yes | Agent deployment ID | |
--channel | string | yes | imessage, rcs, slack, sms, teams, or telegram | |
--connection-id | string | Connection ID | ||
--external-account-id | string | External account ID | ||
--external-channel-id | string | External channel ID | ||
--external-thread-key | string | External thread key | ||
--external-workspace-id | string | External workspace ID | ||
--metadata | string (json) | Channel binding metadata | ||
--provider | string | yes | aws_end_user_messaging_rcs, slack_cloudflare_edge, slack_edge, teams_bot_framework, or telegram | |
--workspace-id | string | Workspace ID |
Also accepts the global flags.
deployments channel-binding show
Show a channel binding.
deployments channel-binding show <id>- Calls
GET /v1/channel-bindings/{bindingId}(SDKgetChannelBinding). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments channel-binding update
Update a channel binding.
deployments channel-binding update <id>- Calls
PATCH /v1/channel-bindings/{bindingId}(SDKupdateChannelBinding). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--agent-deployment-id | string | Agent deployment ID | ||
--clear-agent-deployment-id | boolean | Clear the agent deployment ID | ||
--clear-connection-id | boolean | Clear the connection ID | ||
--clear-external-account-id | boolean | Clear the external account ID | ||
--clear-external-channel-id | boolean | Clear the external channel ID | ||
--clear-external-thread-key | boolean | Clear the external thread key | ||
--clear-external-workspace-id | boolean | Clear the external workspace ID | ||
--clear-metadata | boolean | Clear channel binding metadata | ||
--connection-id | string | Connection ID | ||
--external-account-id | string | External account ID | ||
--external-channel-id | string | External channel ID | ||
--external-thread-key | string | External thread key | ||
--external-workspace-id | string | External workspace ID | ||
--metadata | string (json) | Channel binding metadata |
Also accepts the global flags.
deployments channel-binding set-credential
Attach or rotate a channel runtime credential and disable the binding until verification.
deployments channel-binding set-credential <id> --expected-version <number>- Calls
PUT /v1/channel-bindings/{bindingId}/credential(SDKputChannelBindingCredential). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Current binding version | |
--values | string | Credential values as a JSON object (prefer env or file source) | ||
--values-env | string | Environment variable containing credential JSON | ||
--values-file | string | File containing credential JSON | ||
--scopes | string (a,b,c) | Granted credential scopes | ||
--expires-at | string | Credential expiration timestamp |
Also accepts the global flags.
deployments channel-binding revoke-credential
Revoke a channel runtime credential and disable its binding.
deployments channel-binding revoke-credential <id> --expected-version <number>- Calls
DELETE /v1/channel-bindings/{bindingId}/credential(SDKdeleteChannelBindingCredential). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Current binding version |
Also accepts the global flags.
deployments channel-binding archive
Archive a channel binding.
deployments channel-binding archive <id>- Calls
DELETE /v1/channel-bindings/{bindingId}(SDKdeleteChannelBinding). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments channel-binding verify
Verify a channel binding.
deployments channel-binding verify <id>- Calls
POST /v1/channel-bindings/{bindingId}/verify(SDKverifyChannelBinding). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments channel-binding deliver
Compose an outbound channel delivery.
deployments channel-binding deliver <id> --content <content> --external-thread-key <external-thread-key> --run-id <run-id> --thread-id <thread-id>- Calls
POST /v1/channel-bindings/{bindingId}/deliveries(SDKcomposeChannelDelivery). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--content | string | yes | Outbound delivery content | |
--external-channel-id | string | External channel ID | ||
--external-thread-key | string | yes | External thread key | |
--run-id | string | yes | Run ID | |
--thread-id | string | yes | Thread ID |
Also accepts the global flags.